#include <stdlib.h>
#include <stdio.h>
#include <mpi.h>
 
int main(int argc, char* argv[]){

  int n = 10;
  int ierr, me, nprocs;
  
  MPI_Init(&argc, &argv);
  MPI_Comm_size(MPI_COMM_WORLD, &nprocs);
  MPI_Comm_rank(MPI_COMM_WORLD, &me);

  printf("\n\thello, I am task %d of %d. I've %d elements. \n", me, nprocs, n);

  MPI_Finalize();
 
}

	
